=begin
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
# Designed December 2008 by Fredo6

# Permission to use this software for any purpose and without fee is hereby granted
# Distribution of this software for commercial purpose is subject to:
#  - the expressed, written consent of the author
#  - the inclusion of the present copyright notice in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name			:   LibFredo6.rb
# Original Date	:   20 Aug 2008 - version 3.0
# Type			:   Ruby Library
# Description	:   Top loading module for all Library utilities of Fredo6's scripts
# Usage			:   See Tutorial and Quick Ref Card in PDF format
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
=end

require 'sketchup.rb'
require 'LibTraductor.rb' if Sketchup.find_support_file('LibTraductor.rb', "Plugins")	#Compatibility
require 'TOS_Dir_13/LibTraductor_20.rb' if Sketchup.find_support_file('TOS_Dir_13/LibTraductor_20.rb', "Plugins")	#Compatibility

module LibFredo6

#Register the latest version of LibFredo6 family 
def LibFredo6.startup
	#Localize latest folder for LibFredo6 shared libraries
	$:.each do |sudir|
		dir = File.join sudir, '*'
		ld = []
		Dir[dir].each { |f| ld.push [f, $1] if f =~ /LIBFREDO6_Dir_([0-9][0-9])\Z/i }
		next if ld.length == 0
		@@lib_fredo_version = ld.last[1]
		@@lib_fredo_path = ld.last[0]
		@@lib_fredo_folder = File.basename @@lib_fredo_path
		@@lib_fredo_sudir = sudir
		
		#Loading the minimum routines to enable the LibFredo6 environment (file Lib6Core.rb)
		lib_pattern = "Lib6Core*.rb"
		rb = Dir[File.join(@@lib_fredo_path, lib_pattern)].last
		next unless rb
		@@lib_loaded = File.basename(rb)
		require File.join(@@lib_fredo_folder, @@lib_loaded)
		
		#Registering the rest of the LibFredo6 library (but not loading it)
		LibFredo6.register_plugin "LibFredo6", @@lib_fredo_folder	
		
		break
	end
end

#Register a Plugin from a configuration file
def LibFredo6.register_plugin(rootname, folder, plugin_name=nil)
	Traductor::Plugin.new.load_from_config rootname, folder, plugin_name
end

#Return module variables for LibFredo6
def LibFredo6.sudir ; @@lib_fredo_sudir ; end
def LibFredo6.path ; @@lib_fredo_path ; end
def LibFredo6.folder ; @@lib_fredo_folder ; end
def LibFredo6.lib_loaded ; @@lib_loaded ; end
def LibFredo6.version ; @@lib_fredo_version ; end
	
#Always Loading  the Lib6Core file (minimum code)
LibFredo6.startup	
	
end	#Module LibFredo6
